<?php
/**
 * 
 * @author keiji
 * @package aowp.aspect.weaver.command
 */
/**
 * 
 * @author keiji
 * @package aowp.aspect.weaver.command
 */
interface AOWP_IWeaveCommand {
	public function weaveBeforeAdvice(AOWP_Advice &$advice, AOWP_JoinPoint &$joinPoint);
	public function weaveAfterAdvice(AOWP_Advice &$advice, AOWP_JoinPoint &$joinPoint);
	public function weaveAroundAdvice(AOWP_Advice &$advice, AOWP_JoinPoint &$joinPoint);
}
?>